package com.schoolinout.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.schoolinout.system.domain.Teacher;
import com.schoolinout.system.domain.vo.OptionVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 教师管理Mapper接口
 *
 * @author sakura
 * @date 2024-01-03
 */
@Mapper
public interface TeacherMapper extends BaseMapper<Teacher> {
    /**
     * 查询教师管理
     *
     * @param id 教师管理主键
     * @return 教师管理
     */
    public Teacher selectTeacherById(Long id);

    /**
     * 查询教师管理列表
     *
     * @param teacher 教师管理
     * @return 教师管理集合
     */
    public List<Teacher> selectTeacherList(Teacher teacher);

    /**
     * 新增教师管理
     *
     * @param teacher 教师管理
     * @return 结果
     */
    public int insertTeacher(Teacher teacher);

    /**
     * 修改教师管理
     *
     * @param teacher 教师管理
     * @return 结果
     */
    public int updateTeacher(Teacher teacher);

    /**
     * 删除教师管理
     *
     * @param id 教师管理主键
     * @return 结果
     */
    public int deleteTeacherById(Long id);

    /**
     * 批量删除教师管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTeacherByIds(Long[] ids);

    List<OptionVo> selectTeacherOption(Long schoolId);

    Teacher selectTeacherByIdAndSchoolId(@Param("teacherId") Long teacherId, @Param("schoolId") Long schoolId);
}
